using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        RadGrid1.MasterTableView.GetColumn("ProductName").Display = false;
        button1.Click += new EventHandler(button1_Click);
        
    }

    protected void button1_Click(object sender, EventArgs e)
    {
        foreach (GridItem item in RadGrid1.MasterTableView.GetItems(GridItemType.GroupHeader))
        {
            item.Expanded = false;
        }

    }
    protected override void OnPreRender(EventArgs e)
    {
        base.OnPreRender(e);

        RadGrid1.MasterTableView.GetColumn("SupplierID").HeaderText = "Supplier Company";
    }


}
